<div class="project-dialog">

  <mat-toolbar>
    <span>{{projectService.projectForm.controls['$key']?.value ? "Edycja projektu" : "Zakładanie nowego projektu"}}</span>
    <span class="fill-remaining-space"></span>
    <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
      <mat-icon matTooltip="Zamknij">clear</mat-icon>
    </button>
  </mat-toolbar>

  <form [formGroup]="projectService.projectForm" (submit)="onSubmit()">
    <div fxLayout="row" fxLayout.xs="column" fxLayoutGap="20px">

      <div class="container" fxFlex fxLayout="column">
        <input type="hidden" formControlName="$key">
        <mat-form-field>
          <input formControlName="name" matInput placeholder="Nazwa projektu*">
          <mat-error>Nazwa projektu jest wymagana.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input formControlName="code" matInput placeholder="Kod projektu">
        </mat-form-field>

        <mat-form-field>
          <mat-select formControlName="client" placeholder="Klient">
            <mat-option *ngFor="let companyClient of (companyClients$ | async)"
                        value="{{companyClient?.id}}">{{companyClient?.name}}</mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field>
          <textarea formControlName="description" matInput placeholder="Opis projektu"></textarea>
        </mat-form-field>

        <mat-form-field>
          <mat-select formControlName="manager" placeholder="Kierownik projektu">
            <mat-option *ngFor="let employee of (employees$ | async)"
                        value="{{employee?.id}}">{{employee?.data?.firstName}} {{employee?.data?.lastName}}</mat-option>
          </mat-select>
        </mat-form-field>
      </div>

      <div class="container" fxFlex fxLayout="column">
        <mat-form-field>
          <input formControlName="startDate" matInput [matDatepicker]="starDatePicker" placeholder="Data rozpoczęcia*">
          <mat-datepicker-toggle matSuffix [for]="starDatePicker"></mat-datepicker-toggle>
          <mat-datepicker #starDatePicker></mat-datepicker>
          <mat-error>Data rozpoczęcia projektu jest wymagana.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input formControlName="plannedEndDate" matInput [matDatepicker]="plannedEndDatePicker"
                 placeholder="Planowana data zakończenia" required>
          <mat-datepicker-toggle matSuffix [for]="plannedEndDatePicker"></mat-datepicker-toggle>
          <mat-datepicker #plannedEndDatePicker></mat-datepicker>
          <mat-error>Planowana data zakończenia jest wymagana.</mat-error>
        </mat-form-field>

        <mat-form-field>
          <input formControlName="plannedBudget" matInput placeholder="Planowany budżet" required>
          <mat-error>Planowany budżet jest wymagany.</mat-error>
          <mat-hint>Jeżeli budżet nie jest jeszcze ustalony, wpisz 0.</mat-hint>
        </mat-form-field>

        <mat-form-field>
          <input formControlName="plannedIncome" matInput placeholder="Planowany przychód" required>
          <mat-error>Planowany przychód jest wymagany.</mat-error>
          <mat-hint>Jeżeli przychód nie jest jeszcze oszacowany, wpisz 0.</mat-hint>
        </mat-form-field>

        <div class="button-row">
          <button mat-raised-button color="primary" type="submit" [disabled]="projectService.projectForm.invalid">
            Zapisz
          </button>
          <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
        </div>
      </div>

    </div>

  </form>

</div>
